Name:           blueonyx-z-push
Version:        2.1.3
Release:        2
Packager:       Michael Stauber <mstauber@blueonyx.it>
Vendor:         z-push.sourceforge.net
URL:            z-push.sourceforge.net
License:        GPL
Group:          System Environment/Base
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Distribution:   BlueOnyx
Source:         %{name}-%{version}-%{release}.tar.gz
Requires:	base-admserv-glue
Summary:        Z-push implementation of the ActiveSync protocol for BlueOnyx

%description
Z-push is an implementation of the ActiveSync protocol which is used 'over-the-air' for 
multi platform ActiveSync devices, including Windows Mobile, iPhone, Sony Ericsson and 
Nokia mobile devices. With Z-push any groupware can be connected and synced with these 
devices.

%prep
%setup -qn %{name}-%{version}-%{release}

%build

%install
  [ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

rm -rf %{buildroot}
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/admserv/conf.d/
%{__mkdir} -p %{buildroot}/usr/sausalito/ui/web/z-push/
%{__mkdir} -p %{buildroot}/usr/sausalito/ui/web/z-push/include/
%{__mkdir} -p %{buildroot}/usr/sausalito/ui/web/z-push/backend/
%{__mkdir} -p %{buildroot}/usr/sausalito/ui/web/z-push/lib/
%{__mkdir} -p %{buildroot}/usr/sausalito/ui/web/z-push/tools/
%{__mkdir} -p %{buildroot}/usr/sausalito/ui/web/z-push/state/
%{__mkdir} -p %{buildroot}/var/log/z-push/
%{__mkdir} -p %{buildroot}/var/lib/z-push/
touch %{buildroot}/usr/sausalito/ui/web/z-push/state/.dummy
%{__cp} -ad /root/rpmbuild/BUILD/%{name}-%{version}-%{release}/* %{buildroot}/

# Files:
  find %{buildroot}/ -type f -print | \
    sed "s@^%{buildroot}@@g" | \
    grep -v *.spec | \
    grep -v perllocal.pod | \
    grep -v \.hidden | \
    grep -v "\.packlist" > solFile.list

  if [ "$(cat solFile.list)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
  fi

%pre

if [ -f /usr/sausalito/ui/web/z-push/.disabled ]; then
	cp /usr/sausalito/ui/web/z-push/.disabled /usr/sausalito/ui/web/z-push/.disabled.yes
fi

%post

chown -R admserv:admserv /usr/sausalito/ui/web/z-push/state/
chown -R admserv:admserv /var/lib/z-push
chown -R admserv:admserv /var/log/z-push
chmod -R 777 /usr/sausalito/ui/web/z-push/state/
chown admserv:admserv /var/log/z-push/z-push-error.log 
chown admserv:admserv /var/log/z-push/z-push.log
chown admserv:admserv /var/lib/z-push/

/etc/init.d/admserv reload > /dev/null 2>&1

if [ -f /usr/sausalito/ui/web/z-push/.disabled.yes ]; then
	mv /usr/sausalito/ui/web/z-push/.disabled.yes /usr/sausalito/ui/web/z-push/.disabled
fi

%preun

%postun

%clean
rm -R -f $RPM_BUILD_ROOT

%files -f solFile.list
%defattr(-,root,root)
%config /usr/sausalito/ui/web/z-push/config.php
%config /usr/sausalito/ui/web/z-push/backend/imap/config.php

%changelog

* Sat Feb 07 2015 Michael Stauber <mstauber@blueonyx.it>
- [2.1.3-2]: Fixes

* Mon Jul 14 2014 Michael Stauber <mstauber@blueonyx.it>
- [2.1.3-1]: Updated to new version

* Tue Jul 31 2012  Michael Stauber <mstauber@blueonyx.it>
- [1.3-RC3]: Relaxed permissions on state directory

* Sat Apr 10 2010  Michael Stauber <mstauber@blueonyx.it>
- [1.3-RC2]: Initial Build for CentOS + BlueOnyx.

